POST Search for promotions.
POST /organizations/{organizationId}/promotions
Operation ID: promotionsSearch. Security: AmOAuth2 (sfcc.promotions, sfcc.promotions.rw).
The SearchRequest document contains a search object that allows you to filter using various attributes.
Use the following searchable query attributes to narrow down the search:
| Attribute | Type |
|---|---|
| id | String |
| name | String |
| currecyCode | String |
| exclusivity | String |
| enabled | Boolean |
Note that only searchable attributes can be used in sorting. Additionally, the following attribute can be used to sort:
| Attribute | Type |
|---|---|
| promotionClass | String |
Parameters
organizationId(path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.Example
f_ecom_zzxy_prdsiteId(query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.Example: SiteId
RefArch
Request body
Media type: application/json. Schema: SearchRequest.
Responses
- 200
Promotions information searched successfully.
Media type:
application/json. Schema:PromotionSearchResult. - 400 Returned when the query is ill-formed.